using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a llama corpse" )]
	public class Llama : BaseMount
	{
		[Constructable]
		public Llama() : this( "a llama" )
		{
		}

		[Constructable]
		public Llama( string name ) : base( name, 0xDC, 0x3EA6, AIType.AI_Timid, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Invulnerable = true;

			BaseSoundID = 0x3F3;

			SetStr( 21, 49 );
			SetDex( 56, 75 );
			SetInt( 16, 30 );

			SetHits( 15, 27 );
			SetMana( 0 );

			SetDamage( 3, 5 );

			SetSkill( SkillName.MagicResist, 15.1, 20.0 );
			SetSkill( SkillName.Tactics, 19.2, 29.0 );
			SetSkill( SkillName.HandToHand, 19.2, 29.0 );

			Fame = 0;
			Karma = 200;
			ControlSlots = 2;
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 12; } }

		public Llama( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}